Index: extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4276)
+++ extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4329)
@@ -7,213 +7,185 @@
 */
 
-// In template
-// Upper banner
-$lang['ec_tab_autoid_entries']    = 'Entrées autolog';
-$lang['ec_tab_autoid_modif']      = 'Modification autolog';
-$lang['ec_tab_autoid_new']        = 'Création autolog';
-$lang['ec_tab_config']            = 'Configuration générale';
-$lang['ec_tab_duplication']       = 'Duplication';
-// Autolog area
-$lang['ec_javascript_needed']     = 'Javascript DOIT être activé sur votre navigateur pour un fonctionnement correct de cette page !';
-$lang['ec_admin_page_title']      = 'Event Categories';
-$lang['ec_admin_page_howto']      = 'Event Categories, pour catégories événementielles :<br>cette extension permet d\'identifier automatiquement un compte ("autolog"), et de dupliquer le compte sous lequel un visiteur est identifié ("duplication").<br><br>Merci au Forum, plg, ddtddt, flipflip, P@t pour le code principal :-) !';
-$lang['ec_plugin_ap_ok']          = 'Plugin Additional Pages : actif';
-$lang['ec_plugin_ap_nok']         = 'Plugin <a href = "http://fr.piwigo.org/ext/extension_view.php?eid=153" title = "Ouvrir une nouvelle fenêtre sur le plugin Additional Pages" target = "_blank">Additional Pages</a> : inactif';
-$lang['ec_entry_table_title']     = 'Entrées du paramètre "autolog"';
-$lang['ec_new_entry_title']       = 'Nouvelle entrée du paramètre "autolog"';
-$lang['ec_modify_entry_title']    = 'Modification d\'une entrée du paramètre "autolog"';
-$lang['ec_top_title']             = 'Placer ce titre en haut de la page';
+// Convenient
+$t_ap1                             = 'Ouvrir une nouvelle fenêtre sur le plugin Additional Pages';
+$t_ap2                             = '<a href  = "http://fr.piwigo.org/ext/extension_view.php?eid =153" title  = "'.$t_ap1.'" target  = "_blank">Additional Pages</a>';
+
+// +-------------------------------------------------------------------------+
+// | In templates                                                            |
+// +-------------------------------------------------------------------------+
+
+// "Header"
+$lang['Admin page title']          = 'Event Categories';
+$lang['Acknowledgement']           = 'Event Categories, pour catégories événementielles :<br />cette extension permet d\'identifier automatiquement un compte ("autolog"), et de dupliquer le compte sous lequel un visiteur est identifié ("duplication").<br /><br />Merci au Forum, plg, ddtddt, flipflip, VDigital, P@t pour le code principal :-) !';
+$lang['JS needed']                 = 'Javascript DOIT être activé sur votre navigateur pour un fonctionnement correct de cette page !';
+
+// Autolog page
+$lang['Additional Pages active']   = 'Plugin Additional Pages : actif';
+$lang['Additional Pages inactive'] = 'Plugin '.$t_ap2.' : inactif';
+$lang['Autolog entries']           = 'Entrées du paramètre "autolog"';
+$lang['Place title on top ttip']   = 'Placer ce titre en haut de la page';
 // Table
-$lang['ec_col_name_entry']        = 'Entrée';
-$lang['ec_col_name_code']         = 'Code';
-$lang['ec_col_name_user']         = 'Utilisateur';
-$lang['ec_col_name_bhvr']         = 'Identification ?';
-$lang['ec_col_name_dspl']         = 'Page affichée';
-$lang['ec_col_name_actn']         = 'Outils';
-$lang['ec_lower_tools_desc']      = 'Entrée sélectionnée :';
-$lang['ec_show_URL']              = 'URL : ';
-$lang['ec_test_text']             = 'Tester';
-$lang['ec_delete_text']           = 'Supprimer';
-$lang['ec_modify_text']           = 'Modifier';
-$lang['ec_url_tooltip']           = 'Copiez l\'adresse du lien pour le transmettre';
-$lang['ec_test_tooltip']          = 'Tester l\'URL ( => déconnexion admin.)';
-$lang['ec_url_delete']            = 'Supprimer l\'entrée';
-$lang['ec_modify_tooltip']        = 'Modifier l\'entrée';
-$lang['ec_url_disable']           = 'Rendre l\'entrée périmée';
-$lang['ec_url_forced']            = 'Ne plus forcer ce code à afficher cette page';
-$lang['ec_url_nforced']           = 'Forcer ce code à afficher cette page';
-$lang['ec_url_duplicate']         = 'Recopier ce code pour une nouvelle entrée';
-// New entry
-$lang['ec_create_modify_code']    = 'Nouvelle entrée';
-$lang['ec_new_full_auto']         = 'Tout automatique : nouveau code, nouvel utilisateur et nouveau groupe d\'après page à afficher ci-dessous';
-$lang['ec_new_entry']             = 'Code';
-$lang['ec_up_code_lbl_code_new']  = 'Nouveau code :';
-$lang['ec_sel_entry']             = 'Entrée sélectionnée';
-$lang['ec_new_entry_button']      = 'Générer un code automatiquement';
-$lang['ec_gen_code_nb_pre']       = 'de';
-$lang['ec_gen_code_nb_min']       = ' (min)';
-$lang['ec_gen_code_nb_max']       = ' (max)';
-$lang['ec_gen_code_nb_end']       = 'caractères';
-$lang['ec_up_code_lbl_code_old']  = 'Code existant :';
-$lang['ec_up_code_lbl_user']      = 'Utilisateur identifié';
-$lang['ec_up_code_lbl_user_none'] = 'Aucun (entrée périmée)';
-$lang['ec_up_code_lbl_user_new']  = 'Nouvel utilisateur (créer un compte générique) :';
-$lang['ec_new_user_name']         = 'Nom d\'utilisateur';
-$lang['ec_new_user_pswd']         = 'Mot de passe';
-$lang['ec_confirm_pswd']          = 'Confirmez :';
-$lang['ec_new_user_group']        = 'Nouveau groupe';
-$lang['ec_up_code_lbl_gen_user']  = 'Générer un nom d\'utilisateur d\'après l\'action choisie';
-$lang['ec_up_code_lbl_user_old']  = 'Utilisateur existant :';
-$lang['ec_up_code_lbl_action']    = 'Page affichée';
-$lang['ec_up_code_lbl_forced']    = 'Forcée';
-$lang['ec_up_code_lbl_aps']       = 'Additional Page';
-$lang['ec_up_code_lbl_cats']      = 'Catégorie';
-$lang['ec_up_code_lbl_img']       = 'Id. image';
-$lang['ec_up_code_lbl_home']      = 'Accueil';
-$lang['ec_up_code_lbl_refused']   = 'Accès refusé';
-// Duplication
-$lang['ec_duplication']           = 'Dupliquer';
-$lang['ec_duplication_config']    = 'Configuration';
-$lang['ec_dup_types']             = 'Types d\'utilisateurs';
-$lang['ec_dup_types_generic']     = 'Génériques';
-$lang['ec_dup_types_contacts']    = 'Contacts';
-$lang['ec_dup_types_friends']     = 'Amis';
-$lang['ec_dup_types_family']      = 'Famille';
-$lang['ec_duplication_allowance'] = 'Autorisation de la duplication';
-$lang['ec_dup_allowance_none']    = 'Aucun compte';                       /*
-$lang['ec_dup_allowance_gen']     = 'Tous les comptes génériques';        */
-$lang['ec_dup_allowance_group']   = 'Sélection par groupe';
-$lang['ec_dup_allowance_all']     = 'Tous les comptes';                   /*
-$lang['ec_duplication_display']   = 'Affichage du lien de duplication';
-$lang['ec_dup_display_normal']    = 'Normal';
-$lang['ec_dup_display_dup']       = 'Modifié';                            */
-$lang['ec_duplic_ok']             = 'Duplication autorisée';
-$lang['ec_duplic_ok_groups']      = 'Duplication autorisée grâce à l\'appartenance aux groupes et aux types';
-$lang['ec_duplic_nok']            = 'Duplication refusée';
-$lang['ec_dup_grp_ok_sbmt_lbl']   = 'Interdire la duplication aux groupes sélectionnés';
-$lang['ec_dup_grp_nok_sbmt_lbl']  = 'Autoriser la duplication aux groupes sélectionnés';
-$lang['ec_dup_typ_sbmt_nok_lbl']  = 'Interdire la duplication aux types sélectionnés';
-$lang['ec_dup_typ_sbmt_ok_lbl']   = 'Autoriser la duplication aux types sélectionnés';
-$lang['ec_dup_usr_ok_sbmt_lbl']   = 'Interdire la duplication aux utilisateurs sélectionnés';
-$lang['ec_dup_usr_nok_sbmt_lbl']  = 'Autoriser la duplication aux utilisateurs sélectionnés';
-$lang['ec_dup_conf_sbmt_lbl']     = 'Sauvegarder la configuration de la duplication';
-// JS checks
-$lang['ec_confirm_test']          = "Vraiment tester le code sélectionné ?\n\rCela terminera votre session d'administration.";
-$lang['ec_confirm_delete']        = "Vraiment supprimer l'entrée sélectionnée ?";
-$lang['ec_confirm_disable']       = "Vraiment rendre périmé le code sélectionné ?\n\rCela supprimera toutes les autres entrées utilisant le même code, s'il y en a.";
-$lang['ec_confirm_force']         = "Forcer l'affichage pour le code sélectionné\n\rsupprimera toutes les autres entrées utilisant le même code, s'il y en a. OK ?";
-$lang['ec_confirm_del_other']     = "Cela supprimera toutes les autres entrées utilisant le même code, s'il y en a.\n\rOK ?";
-$lang['ec_confirm_change_user']   = "Modifier l'utilisateur identifié supprimera\n\rtoutes les autres entrées utilisant le même code, s'il y en a. OK ?";
-$lang['ec_gen_user_act_miss']     = 'Sélectionnez d\'abord une page à afficher';
-$lang['ec_act_cat_miss']          = 'Catégorie ?';
-$lang['ec_act_img_miss']          = 'L\'identifiant d\'une image doit être un nombre.';
-$lang['ec_new_pwd_gen']           = 'Pensez à NOTER<br>le mot de passe !';
-$lang['ec_submit_code_miss']      = 'Vous devez fournir un code.';
-$lang['ec_submit_code_bad']       = 'Un code doit comprendre entre 4 et 32 caractères inclus dans [a-zA-Z0-9_-].';
-$lang['ec_submit_user_miss']      = 'Vous devez fournir un utilisateur.';
-$lang['ec_submit_action_miss']    = 'Vous devez proposer une page à afficher.';
-$lang['ec_act_entry_miss']        = 'Sélectionnez d\'abord une entrée à modifier.';
-$lang['ec_clk_entry_miss']        = 'Sélectionnez d\'abord une entrée.';
-$lang['ec_code_already_exists']   = 'Ce code existe déjà.';
-$lang['ec_user_already_exists']   = 'Ce nom d\'utilisateur existe déjà.';
-$lang['ec_conf_pwd_dont_match']   = 'Le mot de passe n\'est pas correctement confirmé.';
+$lang['Entry']                     = 'Entrée';
+$lang['Code']                      = 'Code';
+$lang['Username']                  = 'Utilisateur';
+$lang['Identification']            = 'Identification ?';
+$lang['Displayed page']            = 'Page affichée';
+$lang['Tools']                     = 'Outils';
+$lang['Selected entry']            = 'Entrée sélectionnée';
+$lang['URL']                       = 'URL : ';
+$lang['Test']                      = 'Tester';
+$lang['Delete']                    = 'Supprimer';
+$lang['Modify']                    = 'Modifier';
+$lang['Copy URL ttip']             = 'Copiez l\'adresse du lien pour le transmettre';
+$lang['Test URL ttip']             = 'Tester l\'URL (     => déconnexion admin.)';
+$lang['Delete entry ttip']         = 'Supprimer l\'entrée';
+$lang['Modify entry ttip']         = 'Modifier l\'entrée';
+$lang['Outdate entry ttip']        = 'Rendre l\'entrée périmée';
+$lang['Unforce display ttip']      = 'Ne plus forcer ce code à afficher cette page';
+$lang['Force display ttip']        = 'Forcer ce code à afficher cette page';
+$lang['Duplicate entry ttip']      = 'Recopier ce code pour une nouvelle entrée';
 
-// In PHP files
-// Errors
-$lang['ec_action_pb']             = 'champ "action" corrompu (plusieurs valeurs pour un code ayant plusieurs entrées)';
-$lang['ec_username_pb']           = 'champ "user_id" corrompu (plusieurs valeurs pour un code ayant plusieurs entrées)';
-$lang['ec_username_miss']         = 'utilisateur inexistant (probablement supprimé)';
-$lang['ec_category_miss']         = 'catégorie inexistante (probablement supprimée)';
-$lang['ec_image_miss']            = 'image inexistante (probablement supprimée)';
-$lang['ec_add_page_miss']         = 'page Additional Pages inexistante (probablement supprimée)';
-$lang['ec_entry_del_nok_pre']     = 'Problème avec suppression entrée ';
-$lang['ec_entry_del_nok_end']     = ' : ';
-$lang['ec_entry_dup_nok_pre1']    = 'Problème avec tentative de rendre périmée entrée ';
-$lang['ec_entry_dup_nok_end1']    = ' : ';
-$lang['ec_entry_dis_nok_pre1']    = 'Problème avec tentative de rendre périmée entrée ';
-$lang['ec_entry_dis_nok_end1']    = ' : ';
-$lang['ec_entry_dis_nok_pre2']    = 'Problème avec tentative de rendre périmée entrée ';
-$lang['ec_entry_dis_nok_mid2']    = ' (lié à Add. Page n°';
-$lang['ec_entry_dis_nok_end2']    = ')';
-$lang['ec_entry_dis_nok_pre3']    = 'Problème avec tentative de rendre périmée entrée ';
-$lang['ec_entry_dis_nok_end3']    = ' (arg1 = NULL)';
-$lang['ec_user_create_OK']        = 'Création utilisateur ';
-$lang['ec_user_create_pb']        = 'Création nouvel utilisateur impossible';
-$lang['ec_user_generic_OK']       = 'Utilisateur générique : ';
-$lang['ec_user_generic_pb']       = 'Problème passage utilisateur générique : ';
-$lang['ec_group_create_OK']       = 'Création nouveau groupe ';
-$lang['ec_group_create_OK2']      = ' associé à ';
-$lang['ec_group_create_pb']       = 'Création nouveau groupe impossible : ';
-$lang['ec_entry_create_OK']       = 'Création entrée ';
-$lang['ec_entry_create_pb']       = 'Création nouvelle entrée impossible : ';
-$lang['ec_cnfrm_forced']          = ' (affichage forcé)';
-$lang['ec_entry_modify_OK']       = 'Modification entrée ';
-$lang['ec_entry_already_exists']  = 'Entrée déjà existante : ';
-$lang['ec_bad_argument1']         = 'Mauvais argument : ';
-$lang['ec_bad_argument2']         = 'Code déjà existant : ';
-$lang['ec_bad_argument3']         = 'Utilisateur déjà existant : ';
-$lang['ec_bad_argument4']         = 'Additional Page, catégorie, ou image, inexistante : ';
-$lang['ec_bad_argument5']         = 'Code inexistant ou non duplicable : ';
-$lang['ec_bad_argument6']         = 'Utilisateur inexistant : ';
-$lang['ec_bad_argument7']         = 'Code non conforme : ';
-// Infos
-$lang['ec_entry_del_ok_pre']      = 'Entrée ';
-$lang['ec_entry_del_ok_end']      = ' supprimée.';
-$lang['ec_entry_dup_ok_pre']      = 'Entrée ';
-$lang['ec_entry_dup_ok_end']      = ' dupliquée.';
-$lang['ec_entry_dis_ok_pre1']     = 'Entrée ';
-$lang['ec_entry_dis_ok_end1']     = ' maintenant périmée';
-$lang['ec_entry_dis_ok_pre2']     = ', renvoie vers Additional Page n°';
-$lang['ec_entry_dis_ok_mid2']     = ' : ';
-$lang['ec_entry_dis_ok_end2']     = '';
+// New entry and Modify entry pages
+$lang['New entry title']           = 'Nouvelle entrée du paramètre "autolog"';
+$lang['Modify entry title']        = 'Modification d\'une entrée du paramètre "autolog"';
+$lang['New entry']                 = 'Nouvelle entrée';
+$lang['Full auto']                 = 'Tout automatique : nouveau code, nouvel utilisateur et nouveau groupe d\'après page à afficher ci-dessous';
+$lang['New code']                  = 'Nouveau code :';
+$lang['Auto code button']          = 'Générer un code automatiquement';
+$lang['Auto code mid']             = 'de';
+$lang['Auto code min']             = ' (min)';
+$lang['Auto code max']             = ' (max)';
+$lang['Auto code end']             = 'caractères';
+$lang['Existing code']             = 'Code existant :';
+$lang['Identified user']           = 'Utilisateur identifié';
+$lang['No user']                   = 'Aucun (entrée périmée)';
+$lang['New generic user']          = 'Nouvel utilisateur (créer un compte générique) :';
+$lang['New username']              = 'Nom d\'utilisateur';
+$lang['New password']              = 'Mot de passe';
+$lang['Confirm password']          = 'Confirmez :';
+$lang['New group']                 = 'Nouveau groupe';
+$lang['Generate username']         = 'Générer un nom d\'utilisateur d\'après l\'action choisie';
+$lang['Existing user']             = 'Utilisateur existant :';
+$lang['Displayed page']            = 'Page affichée';
+$lang['Forced']                    = 'Forcée';
+$lang['Additional Page']           = 'Additional Page';
+$lang['Category']                  = 'Catégorie';
+$lang['Image id']                  = 'Id. image';
+$lang['Home']                      = 'Accueil';
+$lang['Access denied']             = 'Accès refusé';
 
-// Table
-//   actions
-$lang['ec_ok']                    = 'OUI';
-$lang['ec_ok_ap_pb']              = 'OUI, mais Add. Page inconnue';
-$lang['ec_ok_cat_pb']             = 'OUI, mais catégorie inconnue';
-$lang['ec_ok_img_pb']             = 'OUI, mais image inconnue';
-$lang['ec_nok']                   = 'NON';
-$lang['ec_nok_ap_pb']             = 'NON';
-$lang['ec_nok_userid_miss']       = 'NON : utilisateur inconnu';
-$lang['ec_nok_action_pb']         = 'NON : "action" corrompu';
-$lang['ec_nok_userid_pb']         = 'NON : "user_id" corrompu';
-// Username can't be displayed
-$lang['ec_dspl_nok_actn']         = '"action" inutilisable';
-$lang['ec_dspl_usr_pb']           = '"user_id" inutilisable';
-$lang['ec_dspl_nok_usr_pre']      = 'Utilisateur n°';
-$lang['ec_dspl_nok_usr_mid1']     = ' (';
-$lang['ec_dspl_nok_usr_mid2']     = ' )';
-$lang['ec_dspl_nok_usr_end']      = ' n\'existe pas';
-//   displayed pages
-$lang['ec_dspl_ok_home']          = 'Accueil';
-$lang['ec_dspl_ok_acc_denied']    = 'Accès refusé';
-$lang['ec_dspl_ok_cat_pre']       = 'Catégorie n°';
-$lang['ec_dspl_ok_cat_mid']       = ' : ';
-$lang['ec_dspl_ok_cat_end']       = '';
-$lang['ec_dspl_ok_img1_pre']      = 'Catégorie n°';
-$lang['ec_dspl_ok_img1_mid']      = ' : ';
-$lang['ec_dspl_ok_img1_end']      = ' ; ';
-$lang['ec_dspl_ok_img2_pre']      = 'image n°';
-$lang['ec_dspl_ok_img2_mid1']     = ' : ';
-$lang['ec_dspl_ok_img2_mid2']     = ' (';
-$lang['ec_dspl_ok_img2_end']      = ')';
-$lang['ec_dspl_ok_ap_pre']        = 'Additional Page n°';
-$lang['ec_dspl_ok_ap_mid']        = ' : ';
-$lang['ec_dspl_ok_ap_end']        = '';
-$lang['ec_dspl_nok_home']         = 'Accueil';
-$lang['ec_dspl_nok_acc_denied']   = 'Accès refusé';
-$lang['ec_dspl_nok_ap_pre']       = ' (Additional Page n°';
-$lang['ec_dspl_nok_ap_end']       = ' n\'existe pas)';
-$lang['ec_dspl_nok_cat_pre']      = ' (catégorie n°';
-$lang['ec_dspl_nok_cat_end']      = ' n\'existe pas)';
-$lang['ec_dspl_nok_img1_pre']     = ' (catégorie n°';
-$lang['ec_dspl_nok_img1_end']     = ' n\'existe pas)';
-$lang['ec_dspl_nok_img2_pre']     = ' (image n°';
-$lang['ec_dspl_nok_img2_mid']     = ' n\'existe pas dans catégorie n°';
-$lang['ec_dspl_nok_img2_end']     = ')';
+// Duplication page
+$lang['Configuration']             = 'Configuration';
+$lang['Types']                     = 'Types d\'utilisateurs';
+$lang['Duplication allowance']     = 'Autorisation de la duplication';
+$lang['No account']                = 'Aucun compte';
+$lang['Selection per group']       = 'Sélection par groupes';
+$lang['All accounts']              = 'Tous les comptes';
+$lang['Register replacement']      = 'Pour les comptes pouvant être dupliqués,%1$s remplacer "%2$s" par "%3$s"';
+                                 // %1$s : nice line feed ; %2$s : "register" ; %3$s : "duplicate"
+$lang['All but generics']          = 'Tous les comptes sauf les génériques';
+$lang['Duplication allowed']       = 'Duplication autorisée';
+$lang['Dup. allowed tks to']       = 'Duplication autorisée grâce à l\'appartenance aux groupes et aux types';
+$lang['Duplication denied']        = 'Duplication refusée';
+$lang['Deny to groups btn']        = 'Interdire la duplication aux groupes sélectionnés';
+$lang['Grant to groups btn']       = 'Autoriser la duplication aux groupes sélectionnés';
+$lang['Deny to types btn']         = 'Interdire la duplication aux types sélectionnés';
+$lang['Grant to types btn']        = 'Autoriser la duplication aux types sélectionnés';
+$lang['Deny to users btn']         = 'Interdire la duplication aux utilisateurs sélectionnés';
+$lang['Grant to users btn']        = 'Autoriser la duplication aux utilisateurs sélectionnés';
+$lang['Save dup. config btn']      = 'Sauvegarder la configuration de la duplication';
+
+// Configuration page
+$lang['Duplication']               = 'Duplication';
+$lang['Unknown code']              = 'Code inconnu';
+$lang['Page for unknown code']     = 'Page affichée pour un code "autolog" inconnu';
+
+// JS messages
+$lang['ec_confirm_test']           = "Vraiment tester le code sélectionné ?\n\rCela terminera votre session d'administration.";
+$lang['ec_confirm_delete']         = "Vraiment supprimer l'entrée sélectionnée ?";
+$lang['ec_confirm_disable']        = "Vraiment rendre périmé le code sélectionné ?\n\rCela supprimera toutes les autres entrées utilisant le même code, s'il y en a.";
+$lang['ec_confirm_force']          = "Forcer l'affichage pour le code sélectionné \n\r supprimera toutes les autres entrées utilisant le même code, s'il y en a. OK ?";
+$lang['ec_confirm_del_other']      = "Cela supprimera toutes les autres entrées utilisant le même code, s'il y en a.\n\rOK ?";
+$lang['ec_confirm_change_user']    = "Modifier l'utilisateur identifié supprimera \n\r toutes les autres entrées utilisant le même code, s'il y en a. OK ?";
+$lang['ec_gen_user_act_miss']      = "Sélectionnez d'abord une page à afficher";
+$lang['ec_act_img_miss']           = "L'identifiant d'une image doit être un nombre.";
+$lang['ec_submit_code_miss']       = "Vous devez fournir un code.";
+$lang['ec_submit_code_bad']        = "Un code doit comprendre entre 4 et 32 caractères, inclus dans [a-zA-Z0-9_-].";
+$lang['ec_submit_user_miss']       = "Vous devez fournir un utilisateur.";
+$lang['ec_submit_action_miss']     = "Vous devez proposer une page à afficher.";
+$lang['ec_act_entry_miss']         = "Sélectionnez d'abord une entrée à modifier.";
+$lang['ec_clk_entry_miss']         = "Sélectionnez d'abord une entrée.";
+$lang['ec_code_already_exists']    = "Ce code existe déjà.";
+$lang['ec_user_already_exists']    = "Ce nom d'utilisateur existe déjà.";
+$lang['ec_conf_pwd_dont_match']    = "Le mot de passe n'est pas correctement confirmé.";
+$lang['ec_new_pwd_gen']            = "Pensez à NOTER<br />le mot de passe !";
+$lang['ec_act_cat_miss']           = "Catégorie ?";
 
 
-// $lang['']   = '';
+// +-------------------------------------------------------------------------+
+// | In PHP files                                                            |
+// +-------------------------------------------------------------------------+
+
+// Tabs
+$lang['ec_tab_autoid_entries']     = 'Entrées autolog';
+$lang['ec_tab_autoid_modif']       = 'Modification autolog';
+$lang['ec_tab_autoid_new']         = 'Création autolog';
+$lang['ec_tab_config']             = 'Configuration générale';
+$lang['ec_tab_duplication']        = 'Duplication';
+
+// Infos
+$lang['ec_user_create_OK']         = 'Création utilisateur %s';
+$lang['ec_user_generic_OK']        = 'Utilisateur "%s" générique';
+$lang['ec_group_create_OK']        = 'Création groupe %s';
+$lang['ec_group_create_OK2']       = '%1$s associé à %2$s';
+                                 // %1$s : username ; %2$s : group
+$lang['ec_entry_create_OK']        = 'Création entrée %s';
+$lang['ec_cnfrm_forced']           = ' (affichage forcé)';
+$lang['ec_entry_modify_OK']        = 'Modification entrée %s';
+$lang['ec_entry_del_ok']           = 'Entrée %s supprimée.';
+$lang['ec_config_saved']           = 'Configuration sauvegardée';
+// Errors
+$lang['ec_action_pb']              = 'champ "action" corrompu (plusieurs valeurs pour un code ayant plusieurs entrées)';
+$lang['ec_username_pb']            = 'champ "user_id" corrompu (plusieurs valeurs pour un code ayant plusieurs entrées)';
+$lang['ec_username_miss']          = 'utilisateur inexistant (probablement supprimé)';
+$lang['ec_category_miss']          = 'catégorie inexistante (probablement supprimée)';
+$lang['ec_image_miss']             = 'image inexistante (probablement supprimée)';
+$lang['ec_add_page_miss']          = 'page Additional Pages inexistante (probablement supprimée)';
+$lang['ec_entry_del_nok']          = 'Problème avec suppression entrée %s : ';
+$lang['ec_user_create_pb']         = 'Création nouvel utilisateur impossible';
+$lang['ec_user_generic_pb']        = 'Problème passage générique utilisateur %s';
+$lang['ec_group_create_pb']        = 'Création groupe %s impossible';
+$lang['ec_entry_create_pb']        = 'Création entrée impossible';
+$lang['ec_entry_already_exists']   = 'Entrée %s déjà existante';
+$lang['ec_DB_problem']             = 'Problème d\'accès à la base (n°%s) : ';
+
+// Entries table
+//   actions
+$lang['ec_ok']                     = 'OUI';
+$lang['ec_ok_ap_pb']               = 'OUI, mais Add. Page inconnue';
+$lang['ec_ok_cat_pb']              = 'OUI, mais catégorie inconnue';
+$lang['ec_ok_img_pb']              = 'OUI, mais image inconnue';
+$lang['ec_nok']                    = 'NON';
+$lang['ec_nok_ap_pb']              = 'NON';
+$lang['ec_nok_userid_miss']        = 'NON : utilisateur inconnu';
+$lang['ec_nok_action_pb']          = 'NON : "action" corrompu';
+$lang['ec_nok_userid_pb']          = 'NON : "user_id" corrompu';
+// Username can't be displayed
+$lang['ec_dspl_nok_actn']          = '"action" inutilisable';
+$lang['ec_dspl_usr_pb']            = '"user_id" inutilisable';
+$lang['ec_dspl_nok_usr']           = 'Utilisateur n°%s n\'existe pas';
+//   displayed pages
+$lang['ec_dspl_ok_cat']            = 'Catégorie n°%1$s : %2$s';
+                                 // %1$s : category id, %2$s : name
+$lang['ec_dspl_ok_img2']           = 'image n°%1$s : %2$s (%3$s)';
+                                 // %1$s : image id, %2$s : name, %3$s : filename
+$lang['ec_dspl_ok_ap']             = 'Additional Page n°%1$s : %2$s';
+                                 // %1$s : add. p. id, %2$s : name
+$lang['ec_dspl_nok_ap']            = ' (Additional Page n°%s n\'existe pas)';
+$lang['ec_dspl_nok_cat']           = ' (catégorie n°%s n\'existe pas)';
+$lang['ec_dspl_nok_img2']          = ' (image n°%1$s n\'existe pas dans catégorie n°%2$s)';
+                                 // %1$s : image id, %2$s : category id
+
+unset($t_ap1, $t_ap2);
 
 ?>