Index: /extensions/event_cats/admin/autolog_entries.inc.php
===================================================================
--- /extensions/event_cats/admin/autolog_entries.inc.php	(revision 4335)
+++ /extensions/event_cats/admin/autolog_entries.inc.php	(revision 4336)
@@ -223,4 +223,5 @@
 $template->assign('ec_ap_ok2', (count($ec_lists['add_pages']) > 0));
 $template->assign('code_list', $code_list);
+$template->assign('U_HELP', get_root_url().'popuphelp.php?page=ec_help_ent');
 
 ?>
Index: /extensions/event_cats/admin/autolog_new.inc.php
===================================================================
--- /extensions/event_cats/admin/autolog_new.inc.php	(revision 4335)
+++ /extensions/event_cats/admin/autolog_new.inc.php	(revision 4336)
@@ -82,4 +82,14 @@
 /****************************************************************************/
 
+if ($ec_is_creation = (
+  $ec_default_action == 'duplicate_entry_submit' or
+  $ec_default_action == 'duplicate_entry_ask' or
+  $ec_default_action == 'create_ask' or
+  $ec_default_action == 'create'
+))
+ $template->assign('U_HELP', get_root_url().'popuphelp.php?page=ec_help_new');
+else
+ $template->assign('U_HELP', get_root_url().'popuphelp.php?page=ec_help_mod');
+
 $template->assign('ec_hidden_when_no_code',
   (count($ec_lists['duplicable_codes']) == 0) ? 'style = "display:none;"' : ''
@@ -92,11 +102,5 @@
   FROM `".IMAGE_CATEGORY_TABLE."`
 "))) == 0));
-$template->assign('ec_is_creation', (
-    $ec_default_action == 'duplicate_entry_submit' or
-    $ec_default_action == 'duplicate_entry_ask' or
-    $ec_default_action == 'create_ask' or
-    $ec_default_action == 'create'
-  )
-);
+$template->assign('ec_is_creation',         $ec_is_creation);
 $template->assign('ec_ap_ok',               EC_AP_OK);
 $template->assign('ec_lists',               $ec_lists);
Index: /extensions/event_cats/admin/config.inc.php
===================================================================
--- /extensions/event_cats/admin/config.inc.php	(revision 4335)
+++ /extensions/event_cats/admin/config.inc.php	(revision 4336)
@@ -69,4 +69,5 @@
 foreach ($ec_conf_default as $k => $v) { $ec_conf2[$k] = $ec_conf[$i]; $i++; }
 $template->assign('ec_conf', $ec_conf2);
+$template->assign('U_HELP', get_root_url().'popuphelp.php?page=ec_help_cfg');
 
 ?>
Index: /extensions/event_cats/admin/duplication.inc.php
===================================================================
--- /extensions/event_cats/admin/duplication.inc.php	(revision 4335)
+++ /extensions/event_cats/admin/duplication.inc.php	(revision 4336)
@@ -70,4 +70,5 @@
 $ec_conf2['duplic_display'] = read_ec_conf('duplic_display');
 $template->assign('ec_conf', $ec_conf2);
+$template->assign('U_HELP', get_root_url().'popuphelp.php?page=ec_help_dup');
 
 ?>
Index: /extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- /extensions/event_cats/admin/evntcats_admin.php	(revision 4335)
+++ /extensions/event_cats/admin/evntcats_admin.php	(revision 4336)
@@ -346,7 +346,4 @@
                $my_base_url.'&amp;tab=config');
 
-$template->assign(
- array('U_HELP' => get_root_url().'popuphelp.php?page=event_cats'));
-
 $template->assign('EVNTCATS_URLS', array(
  'ROOT'     => EVNTCATS_PATH,
Index: /extensions/event_cats/language/fr_FR/ec_help_cfg.html
===================================================================
--- /extensions/event_cats/language/fr_FR/ec_help_cfg.html	(revision 4336)
+++ /extensions/event_cats/language/fr_FR/ec_help_cfg.html	(revision 4336)
@@ -0,0 +1,32 @@
+<h2>Event Cats</h2>
+
+<p>Identifier un compte sur un seul URL</p>
+
+<h3>Onglet "Configuration générale"</h3>
+
+<!--
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
+-->
Index: /extensions/event_cats/language/fr_FR/ec_help_dup.html
===================================================================
--- /extensions/event_cats/language/fr_FR/ec_help_dup.html	(revision 4336)
+++ /extensions/event_cats/language/fr_FR/ec_help_dup.html	(revision 4336)
@@ -0,0 +1,32 @@
+<h2>Event Cats</h2>
+
+<p>Identifier un compte sur un seul URL</p>
+
+<h3>Onglet "Duplication"</h3>
+
+<!--
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
+-->
Index: /extensions/event_cats/language/fr_FR/ec_help_ent.html
===================================================================
--- /extensions/event_cats/language/fr_FR/ec_help_ent.html	(revision 4336)
+++ /extensions/event_cats/language/fr_FR/ec_help_ent.html	(revision 4336)
@@ -0,0 +1,32 @@
+<h2>Event Cats</h2>
+
+<p>Identifier un compte sur un seul URL</p>
+
+<h3>Onglet "Entrées autolog"</h3>
+
+<!--
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
+-->
Index: /extensions/event_cats/language/fr_FR/ec_help_mod.html
===================================================================
--- /extensions/event_cats/language/fr_FR/ec_help_mod.html	(revision 4336)
+++ /extensions/event_cats/language/fr_FR/ec_help_mod.html	(revision 4336)
@@ -0,0 +1,32 @@
+<h2>Event Cats</h2>
+
+<p>Identifier un compte sur un seul URL</p>
+
+<h3>Onglet "Modification autolog"</h3>
+
+<!--
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
+-->
Index: /extensions/event_cats/language/fr_FR/ec_help_new.html
===================================================================
--- /extensions/event_cats/language/fr_FR/ec_help_new.html	(revision 4336)
+++ /extensions/event_cats/language/fr_FR/ec_help_new.html	(revision 4336)
@@ -0,0 +1,32 @@
+<h2>Event Cats</h2>
+
+<p>Identifier un compte sur un seul URL</p>
+
+<h3>Onglet "Création autolog"</h3>
+
+<!--
+<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
+votre navigateur.</p>
+
+<h3>Utilisation</h3>
+
+<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
+la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
+Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
+apparait en bas de la page :
+<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
+Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
+
+<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
+Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
+cliquant sur la croix rouge.</p>
+
+<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
+Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
+Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
+apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
+vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
+les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
+cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
+supprimer les fichiers sélectionner.</p>
+-->
Index: tensions/event_cats/language/fr_FR/help.html
===================================================================
--- /extensions/event_cats/language/fr_FR/help.html	(revision 4335)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<h2>Event Cats</h2>
-
-<p>Identifier un compte sur un seul URL</p>
-
-<!--
-<p>Pour pouvoir fonctionner correctement javascript doit être activé sur 
-votre navigateur.</p>
-
-<h3>Utilisation</h3>
-
-<p>Pour télécharger les images de votre choix il faut les séléctionner en cochant
-la case sous la vignette, ou bien cliquer sur le bouton <span class="pwgScreen">Tout cocher</span>.
-Ensuite il faut cliquer sur le bouton <span class="pwgScreen">Ajouter au panier</span>. Un message
-apparait en bas de la page :
-<blockquote>Vous avez actuelement 10 image(s) dans votre panier.
-Merci de vider le panier avant de commencer une nouvelle sélection.</blockquote></p>
-
-<p>Pour voir le contenu de votre panier, cliquer sur le bouton <span class="pwgScreen">Voir le panier</span>.
-Depuis cet écran vous pouvez connaitre le type d'images dans votre panier et en supprimer (une à une) en
-cliquant sur la croix rouge.</p>
-
-<p>Pour télécharger votre panier, cliquer sur le bouton <span class="pwgScreen">Télécharger le panier</span>.
-Il vous est demandez de préciser un préfixe pour les fichiers zip, vous pouvez laissé celui par défaut. 
-Pour passer à l'étape suivante cliquer sur le bouton <span class="pwgScreen">Envoyer</span>. Une liste de fichier
-apparait. Pour récupérer les fichiers archives il suffit de cliquer sur le nom des fichiers, votre navigateur 
-vous proposera une action. Depuis cet écran vous pouvez supprimer les archives zip. Soit vous sélectionner toute
-les archives en cliquant sur le bouton <span class="pwgSreen">Sélectioner</span>, ou alors fichier par fichier en 
-cochant la case à côté du nom du fichier. Ensuite cliquer sur le bouton <span class="pwgScreen">Supprimer</span> pour
-supprimer les fichiers sélectionner.</p>
--->
Index: /extensions/event_cats/main.inc.php
===================================================================
--- /extensions/event_cats/main.inc.php	(revision 4335)
+++ /extensions/event_cats/main.inc.php	(revision 4336)
@@ -97,6 +97,8 @@
 function ec_popup_help_content($popup_help_content, $page) {
   return (
-   $help_content = ($page == 'event_cats' and is_admin()) ?
-    load_language('help.html', EVNTCATS_PATH, array('return' => true)) : false
+   $help_content = (is_admin() and in_array($page, array(
+    'ec_help_new', 'ec_help_mod', 'ec_help_ent', 'ec_help_cfg', 'ec_help_dup'
+   ))) ?
+    load_language($page.'.html', EVNTCATS_PATH, array('return' => true)) : false
   ) ? $popup_help_content.$help_content : $popup_help_content;
 }
@@ -290,5 +292,5 @@
     )
   ) {
-    $template->assign( 'U_REGISTER', get_root_url().'register.php');
+    $template->assign('U_REGISTER', get_root_url().'register.php');
     if (
       read_ec_conf('duplic_display') == '1' or (
@@ -297,6 +299,6 @@
       )
     ) {
-      $lang['Register'] = l10n('Duplicate');
-      $lang['Create a new account'] = l10n('Create a new account with same properties');
+      $lang['Register'] = $lang['Duplicate'];
+      $lang['Create a new account'] = $lang['Create a new account with same properties'];
     }
   }