Index: /extensions/AMenuManager/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/AMenuManager/language/it_IT/plugin.lang.php	(revision 4338)
+++ /extensions/AMenuManager/language/it_IT/plugin.lang.php	(revision 4339)
@@ -91,4 +91,3 @@
 $lang['g002_setting_randompic_height'] = "Altezza blocco del menu";
 $lang['g002_setting_randompic_height_auto'] = "Automatico";
-
 ?>
Index: /extensions/Image_For_All/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Image_For_All/language/it_IT/plugin.lang.php	(revision 4338)
+++ /extensions/Image_For_All/language/it_IT/plugin.lang.php	(revision 4339)
@@ -1,5 +1,4 @@
 <?php
-$lang['Howto'] = 'Questo plugin permette di cambiare la frase "numero d\'immagini della vostra galleria" nel menu.<br />
-Di default è : xxx immagini / XXX immagini.<br /> 
+$lang['Howto'] = 'Questo plugin permette di cambiare la frase "numero d\'immagini della vostra galleria" nel menu.<br />Di default è : xxx immagini / XXX immagini.<br /> 
 Potete modificare la frase a piacimento, ed inserire il numero totale d\'immagini e quelle autorizzate.';
 $lang['Edit expression'] = 'Editare';
Index: /extensions/addThis/language/it_IT/description.txt
===================================================================
--- /extensions/addThis/language/it_IT/description.txt	(revision 4339)
+++ /extensions/addThis/language/it_IT/description.txt	(revision 4339)
@@ -0,0 +1,1 @@
+Attivazione di Addthis
Index: /extensions/akBookStyle/trunk/language/it_IT/index.php
===================================================================
--- /extensions/akBookStyle/trunk/language/it_IT/index.php	(revision 4339)
+++ /extensions/akBookStyle/trunk/language/it_IT/index.php	(revision 4339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php	(revision 4338)
+++ /extensions/akBookStyle/trunk/language/it_IT/plugin.lang.php	(revision 4339)
@@ -6,8 +6,13 @@
 
 $lang['ak_general_config'] = "Configurazione generale";
+$lang['ak_categories'] = "Maschera di selezione sul nome delle categorie (&lt;!--Book--&gt; di default)";
+$lang['ak_categories_changed'] = "La maschera di selezione è stata aggiornato.";
+$lang['ak_by_page'] = "Numero di miniature per pagina";
+$lang['ak_by_page_changed'] = "Il numero di miniature per pagina è stato aggiornato.";
+
 $lang['ak_by_line'] = "Numero di colonne";
 $lang['ak_by_line_changed'] = "Il numero di colonne è stato aggiornato";
-$lang['ak_thumbnail_size'] = "Dimenzioni delle imaginette";
-$lang['ak_by_line_changed'] = "Le dimenzioni delle imaginette sono state aggiornate";
+$lang['ak_thumbnail_size'] = "Dimenzioni delle miniature";
+$lang['ak_by_line_changed'] = "Le dimenzioni delle miniature sono state aggiornate";
 
 $lang['ak_event_click'] = "clic";
Index: /extensions/db_backup/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/db_backup/language/it_IT/plugin.lang.php	(revision 4338)
+++ /extensions/db_backup/language/it_IT/plugin.lang.php	(revision 4339)
@@ -40,5 +40,3 @@
 $lang['db_backup_step_by_step']  	= 'Salvaguardare una tabella alla volta';
 $lang['db_backup_compress_backup'] 	= 'Comprimere (zippare) il file';
-
-
 ?>
Index: /extensions/pLoader/trunk/locale/it_IT/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/it_IT/pLoader.po	(revision 4338)
+++ /extensions/pLoader/trunk/locale/it_IT/pLoader.po	(revision 4339)
@@ -5,5 +5,5 @@
 "POT-Creation-Date: 2009-02-14 11:36+0100\n"
 "PO-Revision-Date: \n"
-"Last-Translator: Karim AGREBI <rio@piwigo.org>\n"
+"Last-Translator: Karim AGREBI <karim.agrebi@gmail.com>\n"
 "Language-Team: Piwigo team <team@piwigo.net>\n"
 "MIME-Version: 1.0\n"
@@ -116,4 +116,7 @@
 msgstr "Francese"
 
+msgid "Hungarian"
+msgstr "Ungherese"
+
 msgid "Italian"
 msgstr "Italiano"
@@ -251,4 +254,7 @@
 msgstr "Durata"
 
+msgid "seconds"
+msgstr "secondi"
+
 msgid "Categories"
 msgstr "Categorie"
@@ -466,2 +472,39 @@
 msgid "Not selected"
 msgstr "Non selezionati"
+
+msgid "Uploading"
+msgstr "Trasferimento"
+
+msgid "Uploading resized"
+msgstr "Trasferimento della foto ridotta"
+
+msgid "Uploading thumbnail"
+msgstr "Trasferimento della miniatura"
+
+msgid "Uploading high definition"
+msgstr "Trasferimento della foto HD"
+
+msgid "Checksum for"
+msgstr "Checksum di"
+
+msgid "Communication error with"
+msgstr "Errore di comunicazione con"
+
+msgid "Uploaded"
+msgstr "Trasferito"
+
+msgid "Preparing resized image for"
+msgstr "Preparare la foto ridotta di"
+
+msgid "Close"
+msgstr "Chiudere"
+
+msgid "on"
+msgstr "su"
+
+msgid "photos added to the selection"
+msgstr "foto aggiunte alla selezione"
+
+msgid "errors"
+msgstr "erriri"
+