Index: /extensions/piwishack/include/class.inc.php
===================================================================
--- /extensions/piwishack/include/class.inc.php	(revision 4352)
+++ /extensions/piwishack/include/class.inc.php	(revision 4353)
@@ -19,10 +19,10 @@
 // +-----------------------------------------------------------------------+
 
-class DotclearEasy
+class PiwiShack
 {
   var $plugin_name, $plugin_path;
   var $opened, $to_close;
   
-  function DotclearEasy($plugin_name, $plugin_path)
+  function PiwiShack($plugin_name, $plugin_path)
   {
     // Args
Index: /extensions/piwishack/initialize.inc.php
===================================================================
--- /extensions/piwishack/initialize.inc.php	(revision 4352)
+++ /extensions/piwishack/initialize.inc.php	(revision 4353)
@@ -36,5 +36,5 @@
 
     // Create object
-    $piwishack = new DotclearEasy($plugin_name, $plugin_path);
+    $piwishack = new PiwiShack($plugin_name, $plugin_path);
     set_plugin_data($piwishack->plugin_name, $piwishack);
   }
Index: /extensions/piwishack/language/en_UK/description.txt
===================================================================
--- /extensions/piwishack/language/en_UK/description.txt	(revision 4353)
+++ /extensions/piwishack/language/en_UK/description.txt	(revision 4353)
@@ -0,0 +1,12 @@
+Propose through a pop-up a poster of a series of links to the recoverable file as simply a "right-click" in a forum, website, etc. block.
+
+Method well known in some sites hosting files, you use your gallery to display your photos on all media site possible!
+
+With PiwiShack click and deposited it!
+
+
+Future improvements:
+- Add an administrative interface
+- Provide public display.
+- Do not implement the counter display when displaying pop-up
+- In the administration, manufacturing custom fields by drag & drop
Index: /extensions/piwishack/language/en_UK/index.php
===================================================================
--- /extensions/piwishack/language/en_UK/index.php	(revision 4353)
+++ /extensions/piwishack/language/en_UK/index.php	(revision 4353)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 4353)
+++ /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 4353)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['open_window_piwishack'] 	= 'Open the window PiwiShack';
+$lang['close_window_piwishack'] 	= 'Close window PiwiShack';
+$lang['Partage_me'] 				= 'Share your image.';
+$lang['text_intro_thumbnail'] 		= 'Display the thumbnail.';
+$lang['Post_on_a_website_d'] 		= 'Share the thumbnail (clickable) sites. HTML tags.';
+$lang['Post_on_a_forum'] 			= 'Share the thumbnail (clickable) on forums. BBcode tags.';
+$lang['text_intro_normal_view'] 	= 'Viewing the normal view.';
+$lang['Post_on_a_website_dd'] 		= 'Share the normal view (clickable) sites. HTML tags.';
+$lang['Post_a_direct_link'] 		= 'Direct links to your file.';
+$lang['Export_Perso_configurated'] = 'Share your images';
+$lang['Partage_me'] 				= 'Share your photo according to pre-defined conditions.';
+$lang['Perso_writer_01'] 			= 'Custom formatting, fields #1';
+$lang['Perso_writer_02'] 			= 'Custom formatting, fields #2';
+$lang['Perso_writer_03'] 			= 'Custom formatting, fields #3';
+$lang['Perso_writer_04'] 			= 'Custom formatting, fields #4';
+$lang['Perso_writer_05'] 			= 'Custom formatting, fields #5';
+?>
Index: /extensions/piwishack/language/fr_FR/description.txt
===================================================================
--- /extensions/piwishack/language/fr_FR/description.txt	(revision 4353)
+++ /extensions/piwishack/language/fr_FR/description.txt	(revision 4353)
@@ -0,0 +1,12 @@
+Proposera via une pop-up, un affiche d'une série de liens récupérable pour les déposer aussi simplement qu'un "clic-droit" dans un forum, site, bloc etc.
+
+Procédé très connu chez certains sites d'hébergement de photos, servez vous de votre galerie pour exposer vos photos sur tous les supports web possibles !
+
+Avec PiwiShack, cliquez et c'est déposé !
+
+
+Améliorations à venir :
+- Ajouter une interface d'administration
+- Proposer l'affichage publique.
+- Ne plus implémenter le compteur de visualisation lors de l'affichage du pop-up
+- Dans l'administration, fabrication des champs personnalisés par drag & drop
Index: /extensions/piwishack/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 4352)
+++ /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 4353)
@@ -19,7 +19,19 @@
 // +-----------------------------------------------------------------------+
 
-$lang['open_window_piwishack'] = 'Ouvrir la fenêtre PiwiShack';
-$lang['close_window_piwishack'] = 'Fermer la fenêtre PiwiShack';
-$lang['Partage_me'] = 'Partager votre image';
-
+$lang['open_window_piwishack'] 		= 'Ouvrir la fenêtre PiwiShack';
+$lang['close_window_piwishack'] 	= 'Fermer la fenêtre PiwiShack';
+$lang['Partage_me'] 				= 'Partager votre image.';
+$lang['text_intro_thumbnail'] 		= 'Affichage la miniature.';
+$lang['Post_on_a_website_d'] 		= 'Partager la miniature (cliquable) sur des sites. Balises HTML.';
+$lang['Post_on_a_forum'] 			= 'Partager la miniature (cliquable) sur des forums. Balises BBcode.';
+$lang['text_intro_normal_view'] 	= 'Affichage de la vue normale';
+$lang['Post_on_a_website_dd'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
+$lang['Post_a_direct_link'] 		= 'Liens directe vers votre fichier.';
+$lang['Export_Perso_configurated'] 	= 'Partager votre image.';
+$lang['Partage_me'] 				= 'Partager votre photo selon des conditions pré-définies.';
+$lang['Perso_writer_01'] 			= 'Formatage personnalisé, champs #1';
+$lang['Perso_writer_02'] 			= 'Formatage personnalisé, champs #2';
+$lang['Perso_writer_03'] 			= 'Formatage personnalisé, champs #3';
+$lang['Perso_writer_04'] 			= 'Formatage personnalisé, champs #4';
+$lang['Perso_writer_05'] 			= 'Formatage personnalisé, champs #5';
 ?>
Index: /extensions/piwishack/main.inc.php
===================================================================
--- /extensions/piwishack/main.inc.php	(revision 4352)
+++ /extensions/piwishack/main.inc.php	(revision 4353)
@@ -38,3 +38,8 @@
 }
 
+// Gestion multi-langues
+define('PWS_DIR' , basename(dirname(__FILE__)));
+define('piwishack_PATH' , PHPWG_PLUGINS_PATH . PWS_DIR . '/');
+load_language('plugin.lang', piwishack_PATH);
+
 ?>
Index: /extensions/piwishack/template/controller.css
===================================================================
--- /extensions/piwishack/template/controller.css	(revision 4352)
+++ /extensions/piwishack/template/controller.css	(revision 4353)
@@ -1,4 +1,3 @@
-BODY#thePiwiShackControllerPage #content
-{
+BODY#thePiwiShackControllerPage #content {
 	 margin: 1em;
 }
@@ -9,9 +8,16 @@
 	 min-width: 0;
 }
-TEXTAREA{
-	width: 95%;
+TEXTAREA {
+	 width: 95%;
 }
 
-.name_share {
+BODY#thePiwiShackControllerPage #content .title_plugin {
+	 text-align: center;
+	 
+	 background-color : #111111;
+	 color : grey;
+}
+
+BODY#thePiwiShackControllerPage #content .name_share {
 	 background: transparent;
 	 margin: 10px;
@@ -21,5 +27,5 @@
 }
 
-.txt_share {
+BODY#thePiwiShackControllerPage #content .txt_share {
 	 padding: 0 0 0 10px;
 	 text-align: left;
@@ -27,7 +33,31 @@
 }
 
-.img_share {
+BODY#thePiwiShackControllerPage #content .img_share {
 	 left: 50px;
 	 top: 50px;
 	 padding:10px;
 }
+
+/* Petite touche perso */
+::-moz-selection{
+	 background:#cc0000;
+	 color:#fff;
+}
+
+::selection {
+	 background:#cc0000;
+	 color:#fff;
+}
+
+code::-moz-selection {
+	 background: #333333;
+}
+
+code::selection {
+	 background: #333333;
+}
+
+BODY#thePiwiShackControllerPage #content .title_bloc::-moz-selection {
+	 background:#ddd;
+	 color:#603;
+}
Index: /extensions/piwishack/template/controller.tpl
===================================================================
--- /extensions/piwishack/template/controller.tpl	(revision 4352)
+++ /extensions/piwishack/template/controller.tpl	(revision 4353)
@@ -17,69 +17,61 @@
 <div id="content">
   <div class="titrePage">
-    <h2>PiwiShack</h2>
+    <p><span class="title_plugin">PiwiShack</span></p>
   </div>
-  <fieldset class="name_share">
- <legend>{'Partage_me'|@translate}</legend>
- {'text_intro_thumbnail'|@translate}
- <table align="center">
-   <tr>
-  <td class="img_share">
-<a href="{$ROOT_WAY}{$current.U_IMG}"><img src="{$ROOT_WAY}{$current.THUMB_SRC|@replace:'./':''}" alt="{$ALT_IMG}" /></a>
-  </td>
- <td> 
-<div class="txt_share">{'Post_on_a_website_d'|@translate}</div>
-<form>
- <textarea name="thumb_Post_on_a_website" cols="140" rows="3" onclick="select()">
-</textarea>
-</form>
-<br />
-<div class="txt_share">{'Post_on_a_forum'|@translate}</div>
-<form>
- <textarea name="thumb_Post_on_a_forum" rows="1" cols="140" onclick="select()">
-</textarea>
-</form>
-  </td>
- </tr>
-</table>
- <hr />
- {'text_intro_normal_view'|@translate}
+<fieldset class="name_share">
+  <legend>{'Partage_me'|@translate}</legend>
+  <span class="title_bloc">{'text_intro_thumbnail'|@translate}</span>
   <table align="center">
-   <tr>
-  <td>    
-  <div class="txt_share">{'Post_on_a_website_dd'|@translate}</div>
-  <form>
-    <textarea name="view_Post_on_a_website" rows="1" cols="140" onclick="select()">
-</textarea>
-  </form>
-<br />
-   <div class="txt_share">{'Post_a_direct_link'|@translate}</div>
-  <form>
-    <textarea name="view_Direct_link" rows="1" cols="140" onclick="select()">
-</textarea>
-  </form>
-  </td>
- </tr> 
-</table>
- <hr />
-  {'Export_Perso_configurated'|@translate}
+    <tr>
+      <td class="img_share">
+        <a href="{$ROOT_WAY}{$current.U_IMG}"><img src="{$ROOT_WAY}{$current.THUMB_SRC|@replace:'./':''}" alt="{$ALT_IMG}" /></a>
+      </td>
+      <td> 
+        <div class="txt_share">{'Post_on_a_website_d'|@translate}</div>
+          <form>
+            <textarea name="thumb_Post_on_a_website" cols="140" rows="3" onclick="select()"></textarea>
+          </form>
+            <br />
+        <div class="txt_share">{'Post_on_a_forum'|@translate}</div>
+          <form>
+            <textarea name="thumb_Post_on_a_forum" rows="1" cols="140" onclick="select()"></textarea>
+          </form>
+      </td>
+    </tr>
+  </table>
+  <hr />
+  <span class="title_bloc">{'text_intro_normal_view'|@translate}</span>
   <table align="center">
-  <tr>
-    <td>    
-  <div class="txt_share">{'Perso_writer_01'|@translate}</div>
-  <form>
-    <textarea name="p_Perso_writer_01" rows="3" cols="140" onclick="select()">
-</textarea>
-  </form>
-  <br />
+    <tr>
+      <td>    
+      <div class="txt_share">{'Post_on_a_website_dd'|@translate}</div>
+      <form>
+        <textarea name="view_Post_on_a_website" rows="1" cols="140" onclick="select()"></textarea>
+      </form>
+        <br />
+      <div class="txt_share">{'Post_a_direct_link'|@translate}</div>
+      <form>
+        <textarea name="view_Direct_link" rows="1" cols="140" onclick="select()"></textarea>
+      </form>
+      </td>
+    </tr> 
+  </table>
+  <hr />
+  <span class="title_bloc">{'Export_Perso_configurated'|@translate}</span>
+  <table align="center">
+    <tr>
+      <td>    
+      <div class="txt_share">{'Perso_writer_01'|@translate}</div>
+      <form>
+        <textarea name="p_Perso_writer_01" rows="3" cols="140" onclick="select()"></textarea>
+      </form>
+      <br />
       <div class="txt_share">{'Perso_writer_02'|@translate}</div>
-       <form>
-        <textarea name="p_Perso_writer_02" rows="3" cols="140" onclick="select()">
-        </textarea>
-      </form>
-  </td>
- </tr>
-</table>
-  </fieldset>
-  <BR />
-    <BR />
+        <form>
+          <textarea name="p_Perso_writer_02" rows="3" cols="140" onclick="select()"></textarea>
+        </form>
+      </td>
+    </tr>
+  </table>
+</fieldset>
 </div>