Index: extensions/piwishack/include/class.inc.php
===================================================================
--- extensions/piwishack/include/class.inc.php	(revision 4356)
+++ extensions/piwishack/include/class.inc.php	(revision 4358)
@@ -51,5 +51,5 @@
   }
   
-    function get_thumb_post_on_a_website()
+  function get_thumb_post_on_a_website()
   {
     global $page, $lang_info;
@@ -86,8 +86,8 @@
     {
       $query = '
-  SELECT *
-    FROM '.IMAGES_TABLE.'
-    WHERE id IN ('.implode(',', $page['items']).')
-  ;';
+	  SELECT *
+      FROM '.IMAGES_TABLE.'
+      WHERE id IN ('.implode(',', $page['items']).')
+	  ;';
 
       $result = pwg_query($query);
@@ -129,5 +129,5 @@
   }
   
-      function get_thumb_post_on_a_forum()
+  function get_thumb_post_on_a_forum()
   {
     global $page, $lang_info;
@@ -164,8 +164,8 @@
     {
       $query = '
-  SELECT *
-    FROM '.IMAGES_TABLE.'
-    WHERE id IN ('.implode(',', $page['items']).')
-  ;';
+	  SELECT *
+      FROM '.IMAGES_TABLE.'
+      WHERE id IN ('.implode(',', $page['items']).')
+	  ;';
 
       $result = pwg_query($query);
@@ -207,5 +207,5 @@
   }
   
-        function get_view_post_on_a_website()
+  function get_view_post_on_a_website()
   {
     global $page, $lang_info;
@@ -242,8 +242,8 @@
     {
       $query = '
-  SELECT *
-    FROM '.IMAGES_TABLE.'
-    WHERE id IN ('.implode(',', $page['items']).')
-  ;';
+	  SELECT *
+      FROM '.IMAGES_TABLE.'
+      WHERE id IN ('.implode(',', $page['items']).')
+	  ;';
 
       $result = pwg_query($query);
@@ -285,5 +285,5 @@
   }
   
-          function get_view_direct_link()
+  function get_view_direct_link()
   {
     global $page, $lang_info;
@@ -320,8 +320,8 @@
     {
       $query = '
-  SELECT *
-    FROM '.IMAGES_TABLE.'
-    WHERE id IN ('.implode(',', $page['items']).')
-  ;';
+	  SELECT *
+      FROM '.IMAGES_TABLE.'
+      WHERE id IN ('.implode(',', $page['items']).')
+	  ;';
 
       $result = pwg_query($query);
@@ -393,8 +393,8 @@
     {
       $query = '
-  SELECT *
-    FROM '.IMAGES_TABLE.'
-    WHERE id IN ('.implode(',', $page['items']).')
-  ;';
+	  SELECT *
+      FROM '.IMAGES_TABLE.'
+      WHERE id IN ('.implode(',', $page['items']).')
+	  ;';
 
       $result = pwg_query($query);
@@ -411,4 +411,5 @@
     {
 	  include_once(PHPWG_ROOT_PATH.'/include/functions_picture.inc.php');
+	  $image_url = PHPWG_ROOT_PATH.'admin.php?page=picture_modify';
       set_make_full_url();
 
@@ -418,36 +419,23 @@
 	   Affichage Personnalisé, 01.
 	   EXEMPLE
- 
-<h6 style="text-align: center;"><a href="{$ROOT_WAY}{$current.U_IMG}" target="_blank"><img class="aligncenter" style="width: 100%; height: 100%;" src="{$ROOT_WAY}{$SRC_IMG|@replace:'./':''}" alt="{$ALT_IMG}" /></a><em><a href="{$ROOT_WAY}{$U_UP}"; target="_blank">Galerie complète à visiter</a></em></h6>
+	   <h6 style="text-align: center;"><a href="{$ROOT_WAY}{$current.U_IMG}" target="_blank"><img class="aligncenter" style="width: 100%; height: 100%;" src="{$ROOT_WAY}{$SRC_IMG|@replace:'./':''}" alt="{$ALT_IMG}" /></a><em><a href="{$ROOT_WAY}{$U_UP}"; target="_blank">Galerie complète à visiter</a></em></h6>
 	   */
 	   
-	   // Première ligne
-		// Seconde ligne
-		  // Arguments à transmettre
-		$S .= '<h6 style=\"text-align: center;\"><a href=\"'.
-		  // Liens Piwigo vers la page de la vue normale
-          duplicate_picture_url(
+		$S .= '<h6 style=\"text-align: center;\"><a href=\"'. // Arguments à transmettre
+          duplicate_picture_url( // Lien Piwigo vers la page de la vue normale
             array(
               'image_id' => $row['id'],
               'image_file' => $row['file'],
               )).
-		  // Arguments à transmettre
-		  '\"><img src=\"'.
-		  // Liens direct vers la vue normale
-		  get_absolute_root_url().str_replace('./', '', get_image_url($row)).
-		  // Arguments à transmettre
-		  '\" alt=\"'.
-		  // Noms du fichier
-		  $row['file'].
-		  // Arguments à transmettre
-		  '\" /></a><em><a href=\"';
-		  // Catégorie de l'image
-		  /* duplicate_picture_url(
-            array(
-              'section' => 'categories'
-              )); */
-		  // Fin de la seconde ligne
+		  '\"><img src=\"'. // Arguments à transmettre
+		  get_absolute_root_url().str_replace('./', '', get_image_url($row)). // Liens direct vers la vue normale
+		  '\" alt=\"'. // Arguments à transmettre
+		  $row['file']. // Noms du fichier
+		  '\" /></a><em><a href=\"'. // Arguments à transmettre
+			$tpl_image = // Catégorie de l'image
+			  array(
+				'U_URL' => $image_url,).
+		  '\"; target=\"_blank\">Galerie complète à visiter</a></em></h6>'; // Arguments à transmettre
 	    $S .= '\n\n';
-		  //;
       }
 
@@ -493,8 +481,8 @@
     {
       $query = '
-  SELECT *
-    FROM '.IMAGES_TABLE.'
-    WHERE id IN ('.implode(',', $page['items']).')
-  ;';
+	  SELECT *
+      FROM '.IMAGES_TABLE.'
+      WHERE id IN ('.implode(',', $page['items']).')
+	  ;';
 
       $result = pwg_query($query);
@@ -529,4 +517,5 @@
 
       unset_make_full_url();
+
     }
 
Index: extensions/piwishack/language/de_DE/description.txt
===================================================================
--- extensions/piwishack/language/de_DE/description.txt	(revision 4358)
+++ extensions/piwishack/language/de_DE/description.txt	(revision 4358)
@@ -0,0 +1,1 @@
+Zeigt eine formatierte Liste mit Links zu Ihrer Bilder auf Webseiten anzuzeigen / blogs / forums.
Index: extensions/piwishack/language/de_DE/index.php
===================================================================
--- extensions/piwishack/language/de_DE/index.php	(revision 4358)
+++ extensions/piwishack/language/de_DE/index.php	(revision 4358)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/piwishack/language/de_DE/plugin.lang.php
===================================================================
--- extensions/piwishack/language/de_DE/plugin.lang.php	(revision 4358)
+++ extensions/piwishack/language/de_DE/plugin.lang.php	(revision 4358)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['open_window_piwishack'] 			= 'Öffnen Sie das Fenster PiwiShack';
+$lang['close_window_piwishack'] 		= 'Fenster schließen PiwiShack';
+$lang['Partage_me'] 					= 'Sagen Sie Ihre Bild.';
+$lang['text_intro_thumbnail'] 			= 'Zeigt das Bild.';
+$lang['Post_on_a_website_d'] 			= 'Geben Sie das Vorschaubild (anklickbar) Seiten. HTML-Tags.';
+$lang['Post_on_a_forum'] 				= 'Geben Sie das Vorschaubild (anklickbar) am Forum. BBcode tags.';
+$lang['text_intro_normal_view'] 		= 'Anzeigen der normalen Ansicht';
+$lang['Post_on_a_website_dd'] 			= 'Senden der normalen Ansicht (anklickbar) Seiten. HTML-Tags.';
+$lang['Post_a_direct_link'] 			= 'direkte Links zu Ihrer Datei.';
+$lang['Export_Perso_configurated'] 		= 'Sagen Sie Ihre Bild.';
+$lang['Partage_me'] 					= 'Geben Sie Ihre Fotos nach vorher festgelegten Bedingungen.';
+$lang['Perso_writer_01'] 				= 'benutzerdefinierte Formatierungen, Feldern #1';
+$lang['Perso_writer_02'] 				= 'benutzerdefinierte Formatierungen, Feldern #2';
+$lang['Perso_writer_03'] 				= 'benutzerdefinierte Formatierungen, Feldern #3';
+$lang['Perso_writer_04'] 				= 'benutzerdefinierte Formatierungen, Feldern #4';
+$lang['Perso_writer_05'] 				= 'benutzerdefinierte Formatierungen, Feldern #5';
+?>
Index: extensions/piwishack/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 4356)
+++ extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 4358)
@@ -19,19 +19,19 @@
 // +-----------------------------------------------------------------------+
 
-$lang['open_window_piwishack'] 		= 'Ouvrir la fenêtre PiwiShack';
-$lang['close_window_piwishack'] 	= 'Fermer la fenêtre PiwiShack';
-$lang['Partage_me'] 				= 'Partager votre image.';
-$lang['text_intro_thumbnail'] 		= 'Affichage la miniature.';
-$lang['Post_on_a_website_d'] 		= 'Partager la miniature (cliquable) sur des sites. Balises HTML.';
-$lang['Post_on_a_forum'] 			= 'Partager la miniature (cliquable) sur des forums. Balises BBcode.';
-$lang['text_intro_normal_view'] 	= 'Affichage de la vue normale';
-$lang['Post_on_a_website_dd'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
-$lang['Post_a_direct_link'] 		= 'Liens directe vers votre fichier.';
-$lang['Export_Perso_configurated'] 	= 'Partager votre image.';
-$lang['Partage_me'] 				= 'Partager votre photo selon des conditions pré-définies.';
-$lang['Perso_writer_01'] 			= 'Formatage personnalisé, champs #1';
-$lang['Perso_writer_02'] 			= 'Formatage personnalisé, champs #2';
-$lang['Perso_writer_03'] 			= 'Formatage personnalisé, champs #3';
-$lang['Perso_writer_04'] 			= 'Formatage personnalisé, champs #4';
-$lang['Perso_writer_05'] 			= 'Formatage personnalisé, champs #5';
+$lang['open_window_piwishack'] 			= 'Öffnen Sie das Fenster PiwiShack';
+$lang['close_window_piwishack'] 		= 'Fenster schließen PiwiShack';
+$lang['Partage_me'] 					= 'Sagen Sie Ihre Bild.';
+$lang['text_intro_thumbnail'] 			= 'Zeigt das Bild.';
+$lang['Post_on_a_website_d'] 			= 'Geben Sie das Vorschaubild (anklickbar) Seiten. HTML-Tags.';
+$lang['Post_on_a_forum'] 				= 'Geben Sie das Vorschaubild (anklickbar) am Forum. BBcode tags.';
+$lang['text_intro_normal_view'] 		= 'Anzeigen der normalen Ansicht';
+$lang['Post_on_a_website_dd'] 			= 'Senden der normalen Ansicht (anklickbar) Seiten. HTML-Tags.';
+$lang['Post_a_direct_link'] 			= 'direkte Links zu Ihrer Datei.';
+$lang['Export_Perso_configurated'] 		= 'Sagen Sie Ihre Bild.';
+$lang['Partage_me'] 					= 'Geben Sie Ihre Fotos nach vorher festgelegten Bedingungen.';
+$lang['Perso_writer_01'] 				= 'benutzerdefinierte Formatierungen, Feldern #1';
+$lang['Perso_writer_02'] 				= 'benutzerdefinierte Formatierungen, Feldern #2';
+$lang['Perso_writer_03'] 				= 'benutzerdefinierte Formatierungen, Feldern #3';
+$lang['Perso_writer_04'] 				= 'benutzerdefinierte Formatierungen, Feldern #4';
+$lang['Perso_writer_05'] 				= 'benutzerdefinierte Formatierungen, Feldern #5';
 ?>
Index: extensions/piwishack/template/controller.tpl
===================================================================
--- extensions/piwishack/template/controller.tpl	(revision 4356)
+++ extensions/piwishack/template/controller.tpl	(revision 4358)
@@ -30,10 +30,10 @@
         <div class="txt_share">{'Post_on_a_website_d'|@translate}</div>
           <form>
-            <textarea name="thumb_Post_on_a_website" cols="140" rows="3" onclick="select()"></textarea>
+            <textarea name="thumb_Post_on_a_website" cols="140" rows="2" onclick="select()"></textarea>
           </form>
             <br>
         <div class="txt_share">{'Post_on_a_forum'|@translate}</div>
           <form>
-            <textarea name="thumb_Post_on_a_forum" rows="1" cols="140" onclick="select()"></textarea>
+            <textarea name="thumb_Post_on_a_forum" cols="140" rows="2" onclick="select()"></textarea>
           </form>
       </td>
@@ -47,10 +47,10 @@
       <div class="txt_share">{'Post_on_a_website_dd'|@translate}</div>
       <form>
-        <textarea name="view_Post_on_a_website" rows="1" cols="140" onclick="select()"></textarea>
+        <textarea name="view_Post_on_a_website" cols="140" rows="2" onclick="select()"></textarea>
       </form>
         <br>
       <div class="txt_share">{'Post_a_direct_link'|@translate}</div>
       <form>
-        <textarea name="view_Direct_link" rows="1" cols="140" onclick="select()"></textarea>
+        <textarea name="view_Direct_link" cols="140" rows="2" onclick="select()"></textarea>
       </form>
       </td>
@@ -64,10 +64,10 @@
       <div class="txt_share">{'Perso_writer_01'|@translate}</div>
       <form>
-        <textarea name="p_Perso_writer_01" rows="3" cols="140" onclick="select()"></textarea>
+        <textarea name="p_Perso_writer_01" cols="140" rows="2" onclick="select()"></textarea>
       </form>
       <br>
       <div class="txt_share">{'Perso_writer_02'|@translate}</div>
         <form>
-          <textarea name="p_Perso_writer_02" rows="3" cols="140" onclick="select()"></textarea>
+          <textarea name="p_Perso_writer_02" cols="140" rows="2" onclick="select()"></textarea>
         </form>
       </td>