Index: /extensions/piwishack/include/class.inc.php
===================================================================
--- /extensions/piwishack/include/class.inc.php	(revision 4358)
+++ /extensions/piwishack/include/class.inc.php	(revision 4359)
@@ -553,5 +553,5 @@
       $js = '
   <script type="text/javascript">
-    var theController = window.open("", "'.$this->plugin_name.'_controller", "alwaysRaised=yes,dependent=yes,toolbar=no,height=800,width=1044,menubar=no,resizable=yes,scrollbars=yes,status=no");';
+    var theController = window.open("", "'.$this->plugin_name.'_controller", "alwaysRaised=yes,dependent=yes,toolbar=no,height=843,width=1044,menubar=no,resizable=yes,scrollbars=yes,status=no");';
 
     if ($this->to_close)
Index: /extensions/piwishack/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 4358)
+++ /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 4359)
@@ -19,19 +19,19 @@
 // +-----------------------------------------------------------------------+
 
-$lang['open_window_piwishack'] 			= 'Öffnen Sie das Fenster PiwiShack';
-$lang['close_window_piwishack'] 		= 'Fenster schließen PiwiShack';
-$lang['Partage_me'] 					= 'Sagen Sie Ihre Bild.';
-$lang['text_intro_thumbnail'] 			= 'Zeigt das Bild.';
-$lang['Post_on_a_website_d'] 			= 'Geben Sie das Vorschaubild (anklickbar) Seiten. HTML-Tags.';
-$lang['Post_on_a_forum'] 				= 'Geben Sie das Vorschaubild (anklickbar) am Forum. BBcode tags.';
-$lang['text_intro_normal_view'] 		= 'Anzeigen der normalen Ansicht';
-$lang['Post_on_a_website_dd'] 			= 'Senden der normalen Ansicht (anklickbar) Seiten. HTML-Tags.';
-$lang['Post_a_direct_link'] 			= 'direkte Links zu Ihrer Datei.';
-$lang['Export_Perso_configurated'] 		= 'Sagen Sie Ihre Bild.';
-$lang['Partage_me'] 					= 'Geben Sie Ihre Fotos nach vorher festgelegten Bedingungen.';
-$lang['Perso_writer_01'] 				= 'benutzerdefinierte Formatierungen, Feldern #1';
-$lang['Perso_writer_02'] 				= 'benutzerdefinierte Formatierungen, Feldern #2';
-$lang['Perso_writer_03'] 				= 'benutzerdefinierte Formatierungen, Feldern #3';
-$lang['Perso_writer_04'] 				= 'benutzerdefinierte Formatierungen, Feldern #4';
-$lang['Perso_writer_05'] 				= 'benutzerdefinierte Formatierungen, Feldern #5';
+$lang['open_window_piwishack'] 		= 'Ouvrir la fenêtre PiwiShack';
+$lang['close_window_piwishack'] 	= 'Fermer la fenêtre PiwiShack';
+$lang['Partage_me'] 				= 'Partager votre image.';
+$lang['text_intro_thumbnail'] 		= 'Affichage la miniature.';
+$lang['Post_on_a_website_d'] 		= 'Partager la miniature (cliquable) sur des sites. Balises HTML.';
+$lang['Post_on_a_forum'] 			= 'Partager la miniature (cliquable) sur des forums. Balises BBcode.';
+$lang['text_intro_normal_view'] 	= 'Affichage de la vue normale';
+$lang['Post_on_a_website_dd'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
+$lang['Post_a_direct_link'] 		= 'Liens directe vers votre fichier.';
+$lang['Export_Perso_configurated'] 	= 'Partager votre image.';
+$lang['Partage_me'] 				= 'Partager votre photo selon des conditions pré-définies.';
+$lang['Perso_writer_01'] 			= 'Formatage personnalisé, champs #1';
+$lang['Perso_writer_02'] 			= 'Formatage personnalisé, champs #2';
+$lang['Perso_writer_03'] 			= 'Formatage personnalisé, champs #3';
+$lang['Perso_writer_04'] 			= 'Formatage personnalisé, champs #4';
+$lang['Perso_writer_05'] 			= 'Formatage personnalisé, champs #5';
 ?>
Index: /extensions/piwishack/template/controller.css
===================================================================
--- /extensions/piwishack/template/controller.css	(revision 4358)
+++ /extensions/piwishack/template/controller.css	(revision 4359)
@@ -14,5 +14,4 @@
 BODY#thePiwiShackControllerPage #content .title_plugin {
 	 text-align: center;
-	 
 	 background-color : #111111;
 	 color : grey;
@@ -24,5 +23,5 @@
 	 margin-right: 30px;
 	 margin-left: 30px;
-	 padding: 10px
+	 padding: 10px;
 }
 
@@ -36,5 +35,5 @@
 	 left: 50px;
 	 top: 50px;
-	 padding:10px;
+	 padding: 10px;
 }
 
@@ -62,2 +61,3 @@
 	 color:#603;
 }
+/* --------------- */
Index: /extensions/piwishack/template/controller.tpl
===================================================================
--- /extensions/piwishack/template/controller.tpl	(revision 4358)
+++ /extensions/piwishack/template/controller.tpl	(revision 4359)
@@ -17,5 +17,5 @@
 <div id="content">
   <div class="titrePage">
-    <p><span class="title_plugin">PiwiShack</span></p>
+    <p><h2><span class="title_plugin">PiwiShack</span></h2></p>
   </div>
 <fieldset class="name_share">